
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《iOS 9 开发指南》——第1章，第1.4节iOS 9中的常用开发框架 / iVAN</title>

    <meta name="description" content="《iOS 9 开发指南》——第1章，第1.4节iOS 9中的常用开发框架 1.4 iOS 9中的常用开发框架 iOS 9 开发指南 图片 2 知识点讲解:光盘:视频\知识点\第1章\ iOS 9中的常用开发框架.mp4 为了提高开发iOS程序的效率,除了可以使用Xcode集成开发工具之外,还可以使用第三方提供的框架,这些框架为我们提供了完整的项目解决方案,是由许多类.方法.函数和文档按照一定的逻辑组织起来的集合,以便使研发程序变得更容易.在OSX下的Mac操作系统中,大约存在80个框架,这些框架可以用来开发应用程序,处理Mac的Address Book结构.刻制CD.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《iOS 9 开发指南》——第1章，第1.4节iOS 9中的常用开发框架</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>1.4 iOS 9中的常用开发框架</strong><br />
iOS 9 开发指南<br />
图片 2 知识点讲解：光盘:视频\知识点\第1章\ iOS 9中的常用开发框架.mp4<br />
为了提高开发iOS程序的效率，除了可以使用Xcode集成开发工具之外，还可以使用第三方提供的框架，这些框架为我们提供了完整的项目解决方案，是由许多类、方法、函数和文档按照一定的逻辑组织起来的集合，以便使研发程序变得更容易。在OSX下的Mac操作系统中，大约存在80个框架，这些框架可以用来开发应用程序，处理Mac的Address Book结构、刻制CD、播放DVD、使用QuickTime播放电影和播放歌曲等。</p>
<p>在iOS的众多框架中，其中有两个最为常用的框架：Foundation框架和Cocoa框架。</p>
<p><strong>1.4.1　Foundation框架简介</strong><br />
在OSX下的Mac操作系统中，为所有程序开发奠定基础的框架称为Foundation框架。该框架允许使用一些基本对象，如数字和字符串，以及一些对象集合，如数组、字典和集合。其他功能包括处理日期和时间、自动化的内存管理、处理基础文件系统、存储（或归档）对象以及处理几何数据结构（如点和长方形）。</p>
<p>Foundation头文件的存储目录是：</p>
<p>/System/Library/Frameworks/Foundation.framework/Headers<br />
上述头文件实际上与其存储位置的其他目录相链接。请读者查看这个目录中存储在系统上的Foundation框架文档，熟悉它的内容和用法简介。Foundation框架文档存储在我们计算机系统中（位于/Develop/Documentation目录中），另外Apple网站上也提供了此说明文档。大多数文档为HTML格式的文件，可以通过浏览器，同时也提供了Acrobat pdf文件。这个文档中包含Foundation的所有类及其实现的所有方法和函数的描述。</p>
<p>如果正在使用Xcode开发程序，可以通过Xcode的Help菜单中的Documentation窗口轻松访问文档。通过这个窗口，可以轻松搜索和访问存储在计算机本机中或者在线的文档。如果正在Xcode中编辑文件并且想要快速访问某个特定头文件、方法或类的文档，可以通过高亮显示编辑器窗口中的文本并右键单击的方法来实现。在出现的菜单中，可以适当选择Find Selected Text in Documentation或者Find Selected Text in API Reference。Xcode将搜索文档库，并显示与查询相匹配的结果。</p>
<p>看一看它是如何工作的。类NSString是一个Foundation类，可以使用它来处理字符串。假设正在编辑某个使用该类的程序，并且想要获得更多关于这个类及其方法的信息，无论何时，当单词NSString出现在编辑窗口时，都可以将其高亮显示并右键单击。如果从出现的菜单中选择Find Selected Text in API Reference，会得到一个外观与图1-26类似的文档窗口。</p>
<p>如果向下滚动标有NSString Class Reference的面板，将发现（在其他内容中间）一个该类所支持的所有方法的列表。这是一个能够获得有关实现哪些方法等信息的便捷途径，包括它们如何工作以及它们的预期参数。</p>
<p>读者们可以在线访问developer.apple.com/referencelibrary，打开Foundation参考文档（通过Cocoa、Frameworks和Foundation Framework Reference链接），在这个站点中还能够发现一些介绍某些特定编程问题的文档，例如内存管理、字符串和文件管理。除非订阅的是某个特定文档集，否则在线文档要比存储在计算机硬盘中的文档从时间上讲更新一些，如图1-26所示。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2RiNzc0NzIxOTk5NGViYWE3MGE5M2RkZDZiN2RiNGVhZDRhYzA0YzYucG5n.jpg"></p>
<p>在Foundation框架中包括了大量可供使用的类、方法和函数。在Mac OS X上，有125个可用的头文件。作为一种简便的形式，我们可以使用如下代码头文件。</p>
<pre><code>#import &lt;Foundation/Foundation.h&gt;
</code></pre>
<p>因为Foundation.h文件实际上导入了其他所有Foundation头文件，所以不必担心是否导入了正确的头文件，Xcode会自动将这个头文件插入到程序中。虽然使用上述代码会显著地增加程序的编译时间，但是通过使用预编译的头文件，可以避免这些额外的时间开销。预编译的头文件是经过编译器预先处理过的文件。在默认情况下，所有Xcode项目都会受益于预编译的头文件。在本章使用每个对象时都会用到这些特定的头文件，这会有助于我们熟悉每个头文件所包含的内容。</p>
<p><strong>1.4.2　Cocoa框架简介</strong><br />
Application Kit框架包含广泛的类和方法，它们能够开发交互式图形应用程序，使得开发文本、菜单、工具栏、表、文档、剪贴板和窗口等应用变得十分简便。在Mac OS X操作系统中，术语Cocoa是指Foundation框架和Application kit框架。术语Cocoa Touch是指Foundation框架和UIKit框架。由此可见，Cocoa是一种支持应用程序提供丰富用户体验的框架，它实际上由如下两个框架组成。</p>
<p>Foundation框架。<br />
Application Kit（或AppKit）框架。<br />
其中后者用于提供与窗口、按钮、列表等相关的类。在编程语言中，通常使用示意图来说明框架最顶层应用程序与底层硬件之间的层次，图1-27所示就是一个这样的图。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tL2VkMjYwOWRhOGVlMGQyZDNlNDY5NDA4YjQ0NzkxZWRlYWQ2ZWNhZWMucG5n.jpg"></p>
<p>User：用户。<br />
Application：应用程序。<br />
Cocoa（Foundation and AppKit Frameworks）：Cocoa（Foundation和AppKit框架）。<br />
Application Services：应用程序服务。<br />
Core Services：核心服务。<br />
Mac OS X kernel：Mac OS X内核。<br />
Computer Resources（memory, disk,display, etc．）：计算机资源（内存、磁盘、显示器等）。<br />
内核以设备驱动程序的形式提供与硬件的底层通信，它负责管理系统资源，包括调度要执行的程序、管理内存和电源，以及执行基本的I/O操作。</p>
<p>核心服务提供的支持比它上面层次更加底层或更加“核心”。例如，在Mac OS X中主要包含了对集合、网络、调试、文件管理、文件夹、内存管理、线程、时间和电源的管理。</p>
<p>应用程序服务层包含对打印和图形呈现的支持，包括Quartz、OpenGL和Quicktime。由此可见，Cocoa层直接位于应用程序层之下。正如图1-27中指出的那样，Cocoa包括Foundation和AppKit框架。Foundation框架提供的类用于处理集合、字符串、内存管理、文件系统、存档等。通过AppKit框架中提供的类，可以管理视图、窗口和文档等用户界面。在很多情况下，Foundation框架为底层核心服务层（主要用过程化的C语言编写）中定义的数据结构定义了一种面向对象的映射。</p>
<p>Cocoa框架用于Mac OS X桌面与笔记本电脑的应用程序开发，而Cocoa Touch框架用于iPhone与iTouch的应用程序开发。Cocoa和Cocoa Touch都有Foundation框架。然而在Cocoa Touch下，UIKit代替了AppKit框架，以便为很多相同类型的对象提供支持，如窗口、视图、按钮和文本域等。另外，Cocoa Touch还提供使用加速器（它与GPS和Wi-Fi信号一样都能跟踪位置）的类和触摸式界面，并且去掉了不需要的类，如支持打印的类。</p>
<p><strong>1.4.3　iOS程序框架</strong><br />
总的来说iOS程序有两类框架：一类是游戏框架，另一类是非游戏框架。接下来将要介绍的是非游戏框架，即基于iPhone用户界面标准控件的程序框架。</p>
<p>典型的iOS程序包含一个Window（窗口）和几个UIViewController（视图控制器），每个UIViewController可以管理多个UIView（在iPhone里你看到的、感觉到的都是UIView，也可能是UITableView、UIWebView和UIImageView等）。这些UIView之间如何进行层次迭放、显示、隐藏、旋转和移动等都由UIViewController进行管理，而UIViewController之间的切换，通常情况是通过UINavigationController、UITabBarController或UISplitViewController进行切换。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 23:05:40</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8/" title="存储">存储</a>, <a href="https://www.iamivan.net/tag/xcode/" title="xcode">xcode</a>, <a href="https://www.iamivan.net/tag/mac/" title="mac">mac</a>, <a href="https://www.iamivan.net/tag/ios/" title="ios">ios</a>, <a href="https://www.iamivan.net/tag/%e5%bc%80%e5%8f%91%e6%a1%86%e6%9e%b6/" title="开发框架">开发框架</a>, <a href="https://www.iamivan.net/tag/%e5%86%85%e5%ad%98%e7%ae%a1%e7%90%86/" title="内存管理">内存管理</a>, <a href="https://www.iamivan.net/tag/cocoa/" title="cocoa">cocoa</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《iOS 9 开发指南》——第1章，第1.4节iOS 9中的常用开发框架的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgyKwAz.html" rel="bookmark">《iOS 9 开发指南》&mdash;&mdash;第6章，第6&period;8节实战演练&mdash;&mdash;将设计界面连接到代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				6.8 实战演练--将设计界面连接到代码iOS 9 开发指南经过本章前面内容的学习,已经掌握了创建界面的基本知识.但是如何才能使设计的界面起作用呢?在本节的内容中,将详细讲解将界面连接到代码并让应用程序运行的方法. 6.8.1 打开项目首先,我们将使用本章Projects文件夹中的项目&quot;lianjie&quot;.打开该文件夹,并双击文件&quot;lianjie.xcworkspace&quot;,这将在Xcode中打开该项目,如图6-26所示. 加载该项目后,展开项目代码编组(Disconn			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4Noq8M.html" rel="bookmark">《iOS 9 开发指南》&mdash;&mdash;第1章，第1&period;1节IOS开发入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 IOS开发入门 iOS 9 开发指南 iOS是一个强大的系统,被广泛地应用于苹果公司的系列产品iPhone.iPad和iTouch设备中.iOS通过这些移动设备展示了一个多点触摸界面及众多内置传感器的界面.本章将带领大家认识iOS系统,为读者步入本书后面知识的学习打下基础. 1.1 iOS系统介绍 iOS 9 开发指南 图片 1 知识点讲解:光盘:视频\知识点\第1章\ iOS系统介绍.mp4 iOS是由苹果公司开发的手持设备操作系统.苹果公司最早于2007年1月9日的Mac World			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvrP0AM.html" rel="bookmark">《iOS 8开发指南》&mdash;&mdash;第6章，第6&period;1节MVC模式基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第6章 使用Xcode编写MVC程序 iOS 8开发指南 在本书前面的内容中,已经学习了面向对象编程语言Objective-C的基本知识,并且探索了Cocoa Touch.Xcode和Interface Builder编辑器的基本用法.虽然我们已经使用了多个创建好的项目,但是还没有从头开始创建一个项目.在本章的内容中,将向读者详细讲解&quot;模型-视图-控制器&quot;应用程序的设计模式,并从头到尾创建一个iOS应用程序的过程,为读者步入本书后面知识的学习打下基础. 6.1 MVC模式基础 iOS			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6B4xb.html" rel="bookmark">《iOS 8开发指南》&mdash;&mdash;第6章，第6&period;3节在Xcode中实现MVC</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				6.3 在Xcode中实现MVC iOS 8开发指南 在本书前面的内容中,已经讲解了Xcode及其集成的Interface Builder编辑器的知识.并且在本书上一章的内容中,曾经将故事板场景中的对象连接到了应用程序中的代码.在本节的内容中,将详细讲解将视图绑定到控制器的知识. 6.3.1 视图 在Xcode中,虽然可以使用编程的方式创建视图,但是在大多数情况下是使用Interface Builder以可视化的方式设计它们.在视图中可以包含众多界面元素,在加载运行阶段程序时,视图可以创建基本的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgV27Ob.html" rel="bookmark">《iOS 9 开发指南》&mdash;&mdash;第1章，第1&period;3节工欲善其事，必先利其器&mdash;&mdash;搭建开发环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3 工欲善其事,必先利其器--搭建开发环境 iOS 9 开发指南 图片 2 知识点讲解:光盘:视频\知识点\第1章\搭建开发环境.mp4 学习iOS 9开发也离不开好的开发工具的帮助,如果使用的是OS X El Capitan系统,下载iOS 9开发工具将很容易,只需通过简单地单击操作即可.为此,在Dock中打开Apple Store,搜索Xcode 7并免费下载它,坐下来等待Mac下载大型安装程序(约5GB).如果你使用的不是OS X El Capitan系统,可以从iOS开发中心(htt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOm3wRM.html" rel="bookmark">《iOS 9 开发指南》&mdash;&mdash;第6章，第6&period;1节Interface Builder基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				6.1 Interface Builder基础 iOS 9 开发指南 图片 1 知识点讲解:光盘:视频\知识点\第6章\Interface Builder基础.mp4 通过使用Interface Builder(IB),可以快速地创建一个应用程序界面.这不仅是一个GUI绘画工具,而且还可以在不编写任何代码的情况下添加应用程序.这样不但可以减少bug,而且可以缩短开发周期,并且让整个项目更容易维护. IB向Objective-C开发者提供了包含一系列用户界面对象的工具箱,这些对象包括文本框.数据表			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJA448p.html" rel="bookmark">《iOS 8开发指南》&mdash;&mdash;第6章，第6&period;5节实战演练&mdash;&mdash;使用模板Single View Application</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				6.5 实战演练--使用模板Single View Application iOS 8开发指南 Apple在Xcode中提供了一种很有用的应用程序模板,可以快速地创建一个这样的项目,即包含一个故事板.一个空视图和相关联的视图控制器.模板Single View Application(单视图应用程序)是最简单的模板,在本节的内容中将创建一个应用程序,本程序包含了一个视图和一个视图控制器.本节的实例非常简单,先创建了一个用于获取用户输入的文本框(UITextField)和一个按钮,当用户在文本框中输			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQjWnKM.html" rel="bookmark">《iOS 8开发指南（第2版）》&mdash;&mdash;第6章，第6&period;5节实战演练&mdash;&mdash;使用模板Single View Application</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				6.5 实战演练--使用模板Single View Application iOS 8开发指南(第2版) Apple在Xcode中提供了一种很有用的应用程序模板,可以快速地创建一个这样的项目,即包含一个故事板.一个空视图和相关联的视图控制器.模板Single View Application(单视图应用程序)是最简单的模板,在本节的内容中将创建一个应用程序,本程序包含了一个视图和一个视图控制器.本节的实例非常简单,先创建了一个用于获取用户输入的文本框(UITextField)和一个按钮,当用户在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvY1d9b.html" rel="bookmark">《iOS 8开发指南（第2版）》&mdash;&mdash;第1章，第1&period;4节使用Xcode开发环境</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 使用Xcode开发环境iOS 8开发指南(第2版)经过本章第1.3节中的内容讲解之后,在接下来开始讲解使用Xcode开发环境的基本知识,为读者步入后面Objective-C知识的学习打下坚实的基础. 1.4.1 使用Xcode创建程序的基本步骤使用Xcode创建程序的基本步骤如下. (1)启动Xcode应用程序. (2)如果开发新项目,依次选择File→New Project命令. (3)为应用程序类型选择Command Line Utility.Foundation Tool,然后单击			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4d4jz.html" rel="bookmark" class="title">IBM Viper让SAP看到反击Oracle的希望</a>
					<div>
						SAP选择IBM的Viper作为其中小用户的数据库 两公司强化它们共同对战Oracle的战线 IBM和SAP AG 本月中旬联合宣称,IBM的下一代DB2数据库将被SAP的中小型企业用户软件优选为数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrZOxM.html" rel="bookmark" class="title">选择 VB&period;NET 还是 C&num; &quest;</a>
					<div>
						这个话题已经被争论很久了, 从国外到国内, 从学校到企业. 当然市场没有限制我们只能选择一种语言, 所以我们可以学学这个, 同时也学学那个, 但如果你想我给出一个单一答案: 我会选择 &quot;能让 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1Xymz.html" rel="bookmark" class="title">windows2008域上如何安装oracle10gR2</a>
					<div>
						自动建库会出TNS协议错误,需用dbca生成建库sql,在bat中加入 net start oracleserviceXXXX(SID)行在oradim下面. 监听找不到服务(提示sid错误或找不到) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7qBVb.html" rel="bookmark" class="title">Exchange Server 2010学习（十一）部署CAS&plus;HT角色高可用性</a>
					<div>
						Exchange Server 2010使用基于角色的管理模型.多角色服务器的安装及配置,我们在前面的文章中已经做过介绍.本案例中根据高可用性要求,我们需要把服务器角色部署在分开的服务器上面,并且实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7jZNM.html" rel="bookmark" class="title">Android Contacts（二） SMS短信与Contacts联系人关联</a>
					<div>
						Android 的SMS读取短信,可以获取发信人/收信人的手机号码(address),Contacts的联系人,可以过滤手机号码 (address),因此SMS可以通过手机号码(address)关联到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwl4ERb.html" rel="bookmark" class="title">从Java类库看设计模式（5）</a>
					<div>
						有了前面诸多设计模式的基础,这儿可以提出一个比较特殊的模式MVC.MVC并不属于GOF 的23个设计模式之列,但是它在GOF的书中作为一个重要的例子被提出来,并给予了很高的评 价.一般的来讲,我们认为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB25rkb.html" rel="bookmark" class="title">《Programming WPF》翻译 第8章 6&period;我们进行到哪里了？</a>
					<div>
						动画可以增强应用程序的交互感.它有利于更平滑的转换--当条目出现或消失的时候.它应该,当 然,被用于体验和重新着色.如果你为应用程序中的每一个事物都设置了动画,这将是令人迷惑的一团乱 麻.你还应该当心 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7DQBb.html" rel="bookmark" class="title">制作腐蚀金属块上的镂空字</a>
					<div>
						制作腐蚀金属块上的镂空字的最终效果图 1.新建一个文件,图象大小为600X400象素,颜色模式选择RGB模式,分辨率设置为300,选择白色背景.2.先新建图层1,取名'长方体'并将此图层填充为白色,执 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7vgAb.html" rel="bookmark" class="title">Lightroom软件如何调出复古风图片</a>
					<div>
						  (一)ACR调片 打开原片,通过拷贝新建智能对象,并在ACR里对白平衡.对比度.高光.阴影.白色.黑色.清晰度.自然饱和度.HSL.色调分离.红绿蓝三原色.径向滤镜等参数进行调整. (二)人物修饰 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKk4gdb.html" rel="bookmark" class="title">定期清理磁盘保持Windows8系统清洁</a>
					<div>
						  电脑使用一段时间之后,硬盘上就会生成很多垃圾文件.临时文件,不仅占用硬盘空间,也会使电脑变慢.因此我们需要打开磁盘清理工具进行清理工作.但是层层 展开菜单才能打开磁盘清理,比较麻烦.今天我们就教大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8o8kb.html" rel="bookmark" class="title">极路由怎么调信号强度 穿墙&sol;低功耗任你选</a>
					<div>
						  1.用手机或电脑打开极路由后台,点击左侧的[高级设置]图标. 2.在高级设置界面,点击左侧的&quot;无线信道设置&quot;,信号强度选择&quot;穿墙模式&quot;,再点击保存按钮即可.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8vN8p.html" rel="bookmark" class="title">关闭开机自动检测硬盘方法</a>
					<div>
						  方法一: HKEY_LOCAL_MACHINESYSTEMCurrentControlSetControlSession Manager&quot; 找到 BootExecute 进行清空. 方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7g43b.html" rel="bookmark" class="title">做好XP系统备份需要注意的一些方面</a>
					<div>
						我们都知道,虽然微软已经对windows xp系统停止服务更新有段时间了,但这无碍于还有众多的用户仍然喜爱着这款经典的操作系统,因为XP系统内置了很多媒体和外设支持功能,所以体积庞大,安装的时间也就变 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP2Yqp.html" rel="bookmark" class="title">大数据：从矿业大国走向矿业强国</a>
					<div>
						&lt;证券日报&gt;记者获悉,9月9日下午,清蓝矿业圈举办&quot;中国国际矿业大会--大数据分论坛&quot;新闻发布会,并邀请了央企和上市公司代表进行交流. 创始人张焱博士在接受记者采访时表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEG3Bp.html" rel="bookmark" class="title">闲话Promise机制</a>
					<div>
						Promise的诞生与Javascript中异步编程息息相关,js中异步编程主要指的是setTimout/setInterval.DOM事件机制.ajax,通过传入回调函数实现控制反转.异步编程为js ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PmqZp.html" rel="bookmark" class="title">PostgreSQL UDF实现IF NOT EXISTS语法</a>
					<div>
						标签 PostgreSQL , Greenplum , DDL , IF NOT EXISTS 背景 当对象存在时,不创建:当对象不存在时,创建. 在数据库中使用IF NOT EXISTS语法进行判断 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lQJ9b.html" rel="bookmark" class="title">用php插入数据到文本文件当中，怎么实现插入的数据换行？</a>
					<div>
						问题描述 用php插入数据到文本文件当中,怎么实现插入的数据换行? 我加了&quot;n&quot; 为什么不能实现自动换行 file_put_contents(&quot;log.txt&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7ZqWp.html" rel="bookmark" class="title">全栈新兵成长记，附赠校招三大锦囊</a>
					<div>
						摘要:十余载寒窗,一朝迈入社会,翘首以盼中结束的学生生涯往往也是纠结的开始:目光转向同学斩获的各种offer,两手空空的不甘与无奈谁人能懂:带着欢快的心情走向工作岗位,竞争的激烈却让自己处处碰壁.在与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAx5Vp.html" rel="bookmark" class="title">&period;arc文件用什么软件打开？</a>
					<div>
						问题描述 .arc文件是很老的压缩格式,用什么能解开呢? 解决方案 解决方案二:缩解压工具--Freearc可以解压缩,网上好多推荐这款,可以试试					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AoQBz.html" rel="bookmark" class="title">spring cloud config 入门</a>
					<div>
						简介 Spring cloud config 分为两部分 server client config-server 配置服务端,服务管理配置信息 config-client 客户端,客户端调用serve ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjrnrM.html" rel="bookmark" class="title">c语言-编译器无错误，无警告。但程序不显示结果</a>
					<div>
						问题描述 编译器无错误,无警告.但程序不显示结果 //此函数将计算一个数的就对值 #include float absoluteValue (float x) { if ( x &lt; 0 ) x  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR0L0p.html" rel="bookmark" class="title">2016年全球NFC &amp;amp&semi; BLE手机支付将增长59&percnt;</a>
					<div>
						记者从外媒近日的报道中了解到,使用NFC(近距离无线通讯技术)跟BLE Beacons(低功耗蓝牙信标装置)技术的手机支付模式催生出了新的营销技术. 智能设备.移动支付.可穿戴技术与NFC正在开始迎合 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo9a9M.html" rel="bookmark" class="title">ehcache如何在程序启动的时候load以前保存在磁盘的数据</a>
					<div>
						问题描述 ehcache如何在程序启动的时候load以前保存在磁盘的数据 解决方案 ehcache虽然没有用过,但是开发语言都是相通的.大概思路,写个脚本,在配置文件里配下,服务启动时运行,然后解析你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0LkKp.html" rel="bookmark" class="title">DataList嵌套Datalist如何跳转下一页</a>
					<div>
						问题描述 如题 解决方案 解决方案二:http://blog.csdn.net/gaohaidong/archive/2006/01/07/572841.aspx解决方案三:自定义的分页,自己获取第二 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4ed2jb.html" rel="bookmark" class="title">宏碁王振堂：超薄笔记本是趋势惠普戴尔瞎捣乱</a>
					<div>
						12月11日消息,据中国台湾媒体报道,宏碁董事长王振堂日前表示,超薄笔记本是移动市场的未来发展趋势,而惠普和戴尔却在误导消费者. 据2010年图路线显示,英特尔明年将主推传统的主流笔记本处理器,而不会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnOv9M.html" rel="bookmark" class="title">《编程珠玑（续）（修订版）》&mdash;第1章1&period;6节习题</a>
					<div>
						1.6 习题 1．假设数组X[1..1000]中散布着随机实数.下面这个例程计算最小值和最大值: Max := Min := X[1] for I := 2 to 1000 do if X[I] &g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ13Ywb.html" rel="bookmark" class="title">暴雪官网蓝贴透露4&period;0&period;3将是《巫妖王之怒》最后一个版本</a>
					<div>
						11月4日消息,暴雪官网论坛的蓝帖发布员今天发布了一篇蓝帖,透露到4.0.3将是&lt;巫妖王之怒&gt;的最后一个版本.而在4.0.3上线后的某个日子,死亡之翼将会出来见人就喷,毁灭世界. 以下是暴 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2KJWM.html" rel="bookmark" class="title">投行上调苹果目标股价</a>
					<div>
						腾讯科技讯 6月13日消息,在苹果本周分拆了公司股票之后,加拿大皇家银行资本市场(RBC Capital Markets,以下简称&quot;RBC&quot;)认为,苹果股价将在今年下半年再度逼近史 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0dkVp.html" rel="bookmark" class="title">Javascript中apply、call、bind的巧妙使用&lowbar;javascript技巧</a>
					<div>
						apply.call 在 javascript 中,call 和 apply 都是为了改变某个函数运行时的上下文(context)而存在的,换句话说,就是为了改变函数体内部 this 的指向. Jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXy7Lz.html" rel="bookmark" class="title">java-怎样验证一个用户名也存在</a>
					<div>
						问题描述 怎样验证一个用户名也存在 在一个javaweb开发中,在一个jsp用户注册页面中怎么验证一个用户名已经是注册过的了.就是连接数据库的,怎么单独把一些已经注册过的用户名取出来,因为只要取出用户 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
